
@import '../assets/images/background/glyphter';

.shape {
    margin: 0 auto;
    position: absolute;
    width: 90vw;
    height: 96vh;
    z-index: -4;
    overflow-y: hidden;
    *{
        font-family: Glyphter;
    }
    
}

.random-shape:after {
    content: "\f005";
}

$circle-size: 100px;
$colors: rgba(255, 213, 0, 0.4), rgba(129, 218, 173, 0.4), rgba(219, 112, 148, 0.4), rgba(194, 183, 254, 0.4), rgba(149, 170, 255, 0.4);
$shapes: 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L';
$shape-count: 20;


@for $i from 1 through $shape-count {
    $shape-size: random(2);
    $rotation: random(360);
    $speed: 60 + random(40);
    $color-key: random( length($colors) );
    $shape-color: nth( $colors, $color-key );
    $shape-key: random( length($shapes) );
    $shape-type: nth( $shapes, $shape-key );
    $text: random(10);
    
    @keyframes shape-#{$i} {
        0% {
            transform: translate3d(0,0,0) rotate(#{$rotation + 0}deg);
        }
        100% {
            transform: translate3d(0,0,0) rotate(#{$rotation + 360}deg);
        }
    }
  
    .shape-container--#{$i} { 
        animation: shape-#{$i} #{$speed}s linear infinite;

        .random-shape:after {
            margin: #{$shape-size}vw;
            color: $shape-color;
            font-size: #{$shape-size * 1.1}rem;
            content: $shape-type;
        }
    }
}

